<template>
  <Head>
    <title>Gameanueva</title>
    <meta
      type="description"
      content="Gameanueva"
      head-key="description"
    />
    <meta name="theme-color" content="#fdd521">
    <link rel="apple-touch-icon" sizes="180x180" href="/favicon.png" />
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon.png" />
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon.png" />
  </Head>
  <section>
    <header>
      <div class="p-5 color-block">
        <NavLink class="hover:underline" :active="$page.component === 'Home'" href="/"><h1 class="text-2xl mx-auto text-center" style="padding-top: 5px;">Gameanueva</h1></NavLink>
      </div>
      <div class="p-5 color-block bg-tertiary">
        <Nav />
      </div>
    </header>
  </section>

  <section class="p-5 h-800 bg-primary color-block">
    <div class="max-w-3xl mx-auto">
      <slot />
    </div>
  </section>
</template>

<script>
import Nav from "./Nav";
import { Head } from "@inertiajs/inertia-vue3";
import NavLink from "./NavLink";

export default {
  components: { Nav, Head, NavLink },

  computed: {
    username() {
      return this.$page.props.auth.user.username;
    },
  },
};
</script>